#include <iostream>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    int n, l, h, i;
    cin>> n>> l;
    for(i=0;i<n;i++)
    {
        cin>>h;
        if(h<=l)
            break;
    }
    i++;
    if(i-1==n)
        cout<<"-1";
    else
        cout<<i;
    return 0;
}